declare type Primitive = 'uint8' | 'uint64' | 'uint256' | 'bool' | 'string' | 'address' | 'bytes4' | 'bytes20' | 'bytes32' | 'bytes' | 'int256' | 'tuple' | 'address[]' | 'uint8[]' | 'uint256[]' | 'int256[]' | 'bytes32[]' | 'tuple[]';
interface AbiParameter {
    name: string;
    type: Primitive;
    components?: Array<AbiParameter>;
}
export interface AbiEventParameter extends AbiParameter {
    indexed: boolean;
}
interface AbiEntry {
    type: string;
}
export interface AbiEvent {
    name: string;
    type: 'event';
    inputs: Array<AbiEventParameter>;
    anonymous: boolean;
}
export interface EventDescription {
    name: string;
    signature: string;
    signatureHash: string;
    parameters: Array<AbiEventParameter>;
}
declare type Abi = Array<AbiEntry>;
interface CompilerOutput {
    contracts: {
        [globalName: string]: {
            [contractName: string]: {
                abi: Abi;
            };
        };
    };
}
export declare function generateContractInterfaces(contractsOutput: CompilerOutput): string;
export {};
